
package gui;

/**********************************************/
/*                                            */
/**  Klasse eines zentrierten Dialogfensters  */
/*                                            */
/**********************************************/

public class CenteredDialog extends java.awt.Dialog {

/** Rahmenfenster in dem dieser Dialog angezeigt wird */
private java.awt.Frame frame = null;

 //**************************************/
 /** Methode zum Schliessen des Dialogs */
 //**************************************/

 public void scratch() {
  this.removeAll();
  this.dispose();
 }

 //**************************************/
 /** Zentriert im Frame-Window anzeigen */
 //**************************************/

 public void center() {
 java.awt.Point     frmloc  = this.frame.getLocation();
 java.awt.Dimension frmsize = this.frame.getSize();
 java.awt.Dimension mysize  = this.getSize();

  this.setLocation( frmloc.x + ((frmsize.width  - mysize.width)  / 2),
                    frmloc.y + ((frmsize.height - mysize.height) / 2));
  this.show();
 }

 //***********/
 /** CREATOR */
 //***********/

 public CenteredDialog( java.awt.Frame frm, String nam, boolean mod) {
  super( frm, nam, mod);                                  // Superklasse instanziieren
  this.frame = frm;                                       // Rahmenfenster speichern
  this.setName( nam);                                     // Dialog-Window benennen
  this.addWindowListener( new gui.DialogListener( this)); // Listener hinzufgen
  this.pack();                                            // Komponenten reorganisieren
 }
}
