
package gui;

//**************************************************************/
//*                                                            */
/**  Klasse zum schnellen Einsatz vordefinierter Mitteilungen  */
//*                                                            */
//**************************************************************/

public class Messages {

/** Komponente, die nach der Message den Focus erhalten soll */
private static java.awt.Component cmp = null;

 //*========================*/
 /** Frame-Window ermitteln */
 //*========================*/

 private static java.awt.Frame myFrame( java.awt.Component comp) {
 cmp = comp;
 java.awt.Container con = cmp.getParent();
 
  while( !((con == null) || (con instanceof java.awt.Frame)))
   con = con.getParent();
  return (java.awt.Frame)con;
 }

 //***********************************************************/
 /** Komponente setzen, die Focus nach Message erhalten soll */
 //***********************************************************/

 public static void setFocusComponent( java.awt.Component comp) {
  cmp = comp;
 }

 //*************************************************/
 /** Komponente bergeben, die Focus erhalten soll */
 //*************************************************/

 public static java.awt.Component getFocusComponent() {
  return cmp;
 }
 
 //**********************************************/
 /** Anzeigen einer standardisierten Mitteilung */
 //**********************************************/

 public static int Message( java.awt.Component comp,
                            byte               msgtyp,
                            byte               anstyp,
                            String             ttl,
                            String             txt[]) {
 gui.Message msg = new gui.Message( msgtyp, anstyp, myFrame( comp), ttl, txt);

  if (cmp == null) cmp = comp;
  cmp.requestFocus();      // Focus restaurieren
  return msg.getAnswer();  // Antwort bergerben
 }

 //*************************************************/
 /** Anzeigen einer benutzerdefinierten Mitteilung */
 //*************************************************/

 public static int Message( java.awt.Component comp,
                            java.awt.Color col,
                            String ttl,
                            String txt[],
                            String butt[]) {
 gui.Message msg = new gui.Message( myFrame( comp), col, ttl, txt, butt);

  if (cmp == null) cmp = comp;
  comp.requestFocus();     // Focus restaurieren
  return msg.getAnswer();  // Antwort bergerben
 }
}
