
package gui;

import java.awt.*;

//**************************************************/
//*                                                */
/** Klasse eines Dialogs zur Eingabe des Anwenders */
//*                                                */
//**************************************************/

public class UserInput extends gui.CenteredDialog {

/** Externer Listener mit Grammatik und Zwischenspeicherung der Eingabe */
protected InputListener listener = null;

/** Text- und Eingabe-Panel instanzieren */
protected HandyPanel pnl1 = new HandyPanel( HandyPanel.ELEVATE);

/** Zeichenfolge der Eingabe */
// protected String input = null;

 //*==================================*/
 /** Panel fr Schaltflchen aufbauen */
 //*==================================*/

 private static java.awt.Panel buttPanel( java.awt.Color col) {
 java.awt.Panel butpnl = new HandyPanel( HandyPanel.ELEVATE + HandyPanel.BORDER, 5, col);

  butpnl.setLayout( new java.awt.GridLayout( 1, 0));
  return butpnl;
 }

 //*=======================*/
 /** Schaltflche aufbauen */
 //*=======================*/

// private java.awt.Button makeButton( String lab, ValueListener listener) {
 private java.awt.Button makeButton( String lab) {
 java.awt.Button but = new java.awt.Button();  // neue Button-Instanz
  but.setLabel( lab);                          // Buttonbeschriftung

  listener.setTextField( (TextField)pnl1.getComponent( 2));

  but.addActionListener( this.listener);                // Action-Listener
  return but;
 }

 //*********************/
 /** Eingabe bergeben */
 //*********************/

 public String getInput() {
//  return this.input;
  return this.listener.getTested();
 }
 
 //********************************/
 /** Benutzereingabe instanzieren */
 //********************************/

// public UserInput( Frame frm, String ttl, String synonym, ValueListener listener) {
 public UserInput( Frame frm, String ttl, String synonym, InputListener listener) {
  super( frm, ttl, true); // Superklasse instanzieren

  this.listener = listener;

 Panel butpnl;

  this.setLayout( new java.awt.BorderLayout( 2, 0));
 
  pnl1.setLayout( new java.awt.FlowLayout()); // Layoutmanager setzen
  
  pnl1.add( new Label( synonym));
  pnl1.add( new Label( "="));
  pnl1.add( new TextField( "", 10));

  this.add( "Center", pnl1);
  
  /*------------------------------------*/
  /* Panel mit Schaltflchen hinzufgen */
  /*------------------------------------*/

  butpnl = buttPanel( Color.green);
//  butpnl.add( makeButton( "OK", this.listener));
  butpnl.add( makeButton( "OK"));

  this.add( "South", butpnl);

  /*----------------------------------*/
  /* Dialog im Frame-Fenster anzeigen */
  /*----------------------------------*/

  this.pack();                               // Komponenten zusammenfassen
  this.setSize( this.getPreferredSize());    // bevorzugte Gre setzen
  this.center();                             // Dialog-Window zentrieren
 }
}
