
package mathpack.values;

import java.util.*;

//*********************************/
//*                               */
/** Klasse einer benannten Wertes */
//*                               */
//*********************************/

public class namedValue extends mathpack.values.valueObject {

 /*---------------*/
 /* Name und Wert */
 /*---------------*/

 /** Bezeichnung des Wertes (String) */
 private String nm = null;
 
 //*******************/
 /** Namen festlegen */
 //*******************/

 public void setName( String name) {
  this.nm = name;
 }

 //*******************/
 /** Namen bergeben */
 //*******************/

 public String getName() {
  return this.nm;
 }

 //**************************************/
 /** Instanz ohne Namen und Wert bilden */
 //**************************************/

 public namedValue() {
  super();
  this.nm = null;
 }

 //****************************/
 /** Instanz mit Namen bilden */
 //****************************/

 public namedValue( String name) {
  super();
  this.nm = name;
 }

 //***************************/
 /** Instanz mit Wert bilden */
 //***************************/

 public namedValue( Object vo) {
  super( vo);
 }

 //*************************************/
 /** Instanz mit Namen und Wert bilden */
 //*************************************/

 public namedValue( String name, Object vo) {
  super( vo);
  this.nm = name;
 }
}
