
package mathpack.values;

import java.util.*;

//*********************************************/
//*                                           */
/** Klasse eines jeden Wertes einer Grammatik */
//*                                           */
//*********************************************/

public class valueObject {

 /** Referenz auf ein Wertobjekt */
 private Object vo = null;

 //**********************/
 /** Referenz festlegen */
 //**********************/

 public void set( Object obj) {
  this.vo = obj;
 }
 
 //**********************/
 /** Referenz bergeben */
 //**********************/

 public Object get() {
  return this.vo;
 }

 //**************************/
 /** Wert auf Stack ablegen */
 //**************************/

 public void doIt( Stack stack) {
  stack.push( vo);
 }

 //*********************************/
 /** Objekt ohne Referenz erzeugen */
 //*********************************/

 public valueObject() {
 }

 //********************************/
 /** Objekt mit Referenz erzeugen */
 //********************************/

 public valueObject( Object obj) {
  this.vo = obj;
 }
}
