package mathpack.variables;

import java.util.*;

//************************/
//*                      */
/** Klasse der Variablen */
//*                      */
//************************/

public class Variables extends Vector {

 //*************************************************************************/
 /** argumentativ benannte Variable finden (indizieren, -1=nicht gefunden) */
 //*************************************************************************/

 public int findVariable( String str) {
 boolean found  = false;
 int     num    = this.size();
 int     idx    = 0;
 int     retval = -1;

  while( (idx < num) && !found) {
   found = ( str.equals( ((Variable)this.elementAt( idx++)).getName() ));
  }
  if (found) retval = --idx;
  return retval;
 }

 //****************************/
 /** neue Variable hinzufgen */
 //****************************/

 public void addVariable( Variable variable) {
  this.addElement( variable);
  this.trimToSize();
 } 
}
