
package gui;

//************************************************/
//*                                              */
/**  Klasse des default CenteredDialogListeners  */
//*                                              */
//************************************************/

public class DialogListener implements java.awt.event.WindowListener {

/** Der Dialog dem zugehrt wird */
private gui.CenteredDialog dlg = null;

 /**************************************/
 /* Methode zum Schliessen des Dialogs */
 /**************************************/

 private static void dlgClose( gui.CenteredDialog dlg) {
  dlg.scratch();
 }

 public void windowActivated(   java.awt.event.WindowEvent e) { }
 public void windowClosed(      java.awt.event.WindowEvent e) { }
 public void windowClosing(     java.awt.event.WindowEvent e) { dlgClose( dlg); }
 public void windowDeactivated( java.awt.event.WindowEvent e) { }
 public void windowDeiconified( java.awt.event.WindowEvent e) { }
 public void windowIconified(   java.awt.event.WindowEvent e) { }
 public void windowOpened(      java.awt.event.WindowEvent e) { }

 //***********/
 /** CREATOR */
 //***********/

 public DialogListener( gui.CenteredDialog dlg) {
  this.dlg = dlg;
 }
}
