package mathpack.constants;

import java.util.*;

//*************************/
//*                       */
/** Klasse der Konstanten */
//*                       */
//*************************/

public class Constants extends Vector {

 //*************************************************************************/
 /** arumentativ benannte Konstante finden (indizieren, -1=nicht gefunden) */
 //*************************************************************************/

 public int findConstant( String str) {
 boolean found  = false;
 int     num    = this.size();
 int     idx    = 0;
 int     retval = -1;

  while( (idx < num) && !found) {
//   found = ( str.equals( ((Constant)this.elementAt( idx++)).nm ));
   found = ( str.equals( ((Constant)this.elementAt( idx++)).getName() ));
  }
  if (found) retval = --idx;
  return retval;
 }

 //*****************************/
 /** neue Konstante hinzufgen */
 //*****************************/

 public void addConstant( Constant constant) {
  this.addElement( constant);
  this.trimToSize();
 } 
}
