package mathpack.operators;

import java.util.*;

//*************************/
//*                       */
/** Klasse der Operatoren */
//*                       */
//*************************/

public class Operators extends Vector {

 //**************************************************************************/
 /** argumentativ benannten Operator finden (indizieren, -1=nicht gefunden) */
 //**************************************************************************/

 public int findOperator( char chr) {
 boolean found  = false;
 int     num    = this.size();
 int     idx    = 0;
 int     retval = -1;

  while( (idx < num) && !found) {
   found = (chr == ((Operator)this.elementAt( idx++)).op);
  }
  if (found) retval = --idx;
  return retval;
 }

 //**************************************************/
 /** Wertigkeit eines benannten Operators ermitteln */
 //**************************************************/

 public int opVal( char chr) {
 boolean found = false;
 int     num   = this.size();
 int     idx   = 0;

  while( (idx < num) && !found) {
   found = (chr == ((Operator)this.elementAt( idx++)).op);
  }
  if (found) return ((Operator)this.elementAt( --idx)).ov;
  return -1;  
 }

 //******************************/
 /** neuen Opearator hinzufgen */
 //******************************/

 public void addOperator( Operator oper) {
  this.addElement( oper);
  this.trimToSize();
 }
}
